<?php
use App\Category;
use App\Cart;
use App\Wishlist; 
use App\PageContentAboutus; 
use App\WebSetting; 
use App\CustomFunction; 
$categories =  Category::getcategories();
$cartitems = Cart::cartitems();
$wishlist_count = Wishlist::wishlistCount();
$websettings = WebSetting::websettings();
$about_us = PageContentAboutus::where(['id'=>'1','status'=>'1'])->count();
?>
<!--Page Wrapper-->
<div class="page-wrapper">
<div id="csrf_token"> {{ csrf_token() }} </div>
         <!--Header-->
         <div class="top-info-bar">
            <div class="container">
               <div class="row">
                  <div class="col-12 col-sm-6 text-left">
                     <a href="mailto:easauto1993@gmail.com" class="pe-2"><strong>Mail Us:</strong> easauto1993@gmail.com</a>
                  </div>
                  <div class="col-12 col-sm-6 text-right">
                      <a href="tel:+919843322247" class="pe-2"><strong>Call Us:</strong> +91 9843322247</a>
                  </div>
               </div>
            </div>
         </div>
         <header id="header" class="header header-main d-flex align-items-center header-2">
            <div class="container">
               <div class="row">
                  <!--Logo / Menu Toggle-->
                  <div class="col-6 col-sm-6 col-md-6 col-lg-2 align-self-center">
                     <!--Mobile Toggle-->
                     <button type="button" class="btn--link site-header__menu js-mobile-nav-toggle mobile-nav--open me-3 d-lg-none"><i class="icon an an-times-l"></i><i class="icon an an-bars-l"></i></button>
                     <!--End Mobile Toggle-->
                     <!--Logo-->
                     <div class="logo"><a href="{{ url('/') }}"><img class="logo-img mh-100" src="{{ asset('assets/images/autohomelogo-new.jpg') }}"/></a></div>
                     <!--End Logo-->
                  </div>
                  <!--End Logo / Menu Toggle-->
                  <!--Main Navigation Desktop-->
                  <div class="col-1  col-sm-1 col-md-1 col-lg-8 align-self-center d-menu-col">
                     <!--Desktop Menu-->
                     <div class="row ">
                        <div class="col-1 col-sm-12 col-md-12 col-lg-12 align-self-center d-menu-col">
                        <nav class="grid__item" id="AccessibleNav">
                           <ul id="siteNav" class="site-nav medium center hidearrow">
                           <li class="lvl1"><a href="{{ url('/') }}">Home</a></li>
                                @if(!empty($about_us))
                                <li class="lvl1"><a href="{{ url('about-us') }}">About Us</a></li>
                                @endif
                              @foreach($categories as $category)
                                    <li class="lvl1 has-child">
                                       <a href="{{ url($category['seo_unique']) }}" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Shop By Category</a>
                                       <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                          <?php $subcategories  = Category::getsubcategories($category['id']); ?>
                                          @if(count($subcategories) > 0)
                                                <ul class="sub-menu">
                                                   @foreach($subcategories as $subcategory) 
                                                      <li>
                                                         
                                                            <a href="{{ $subcategory['seo_unique'] }}" class="dropdown-item">{{ $subcategory['name'] }}</a>
                                                           
                                                            <?php $subcategories2  = Category::getsubcategories($subcategory['id']); ?>
                                                            @if(count($subcategories2) > 0)
                                                               <ul class="subLinks">
                                                                  @foreach($subcategories2 as $subcategory2) 
                                                                        <li>
                                                                            @if (Auth::check())
                                                                            <a href="{{ $subcategory2['seo_unique'] }}" class="dropdown-item">{{ $subcategory2['name'] }}</a>
                                                                            @else
                                                                            <a data-bs-toggle="modal" data-bs-target="#login-modal" class="dropdown-item login-btn">{{ $subcategory2['name'] }}</a>
                                                                            @endif
                                                                            </li>
                                                                  @endforeach   
                                                               </ul>
                                                            @endif
                                                      </li>
                                                   @endforeach
                                                </ul>
                                          @endif
                                       </div>
                                    </li>
                              @endforeach
                            <li>
                              <!-- Other menu items -->

                                <li class="lvl1"><a href="{{ url('new-arrivals') }}">New Arrival</a></li>
                              <!-- Other menu items -->
                            </li>
                              <li class="lvl1"><a href="{{ url('blogs') }}">Blogs</a></li>
                              <li class="lvl1"><a href="{{ url('contact-us') }}">Contact</a></li>
                               <li class="lvl1 bottom-link"><a href="{{ url('faq') }}">FAQ</a></li>
                              
                           </ul>
                        </nav>

                           <!--End Desktop Menu-->
                        </div>
                     </div>
                     <!--End Desktop Menu-->
                  </div>
                  <!--End Main Navigation Desktop-->
                  <!--Right Action-->
                  <div class="col-6 col-sm-6 col-md-6 col-lg-2 align-self-center icons-col text-center d-flex justify-content-center">
                     <!--Setting Dropdown-->
                     <!--End Setting Dropdown-->
                     <!--Minicart Drawer-->
                     <!--Search-->
                     <div class="site-search header-links">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M23.809 21.646l-6.205-6.205c1.167-1.605 1.857-3.579 1.857-5.711 0-5.365-4.365-9.73-9.731-9.73-5.365 0-9.73 4.365-9.73 9.73 0 5.366 4.365 9.73 9.73 9.73 2.034 0 3.923-.627 5.487-1.698l6.238 6.238 2.354-2.354zm-20.955-11.916c0-3.792 3.085-6.877 6.877-6.877s6.877 3.085 6.877 6.877-3.085 6.877-6.877 6.877c-3.793 0-6.877-3.085-6.877-6.877z"/></svg>
                     </div>
                     <div class="user-link header-links">
                        @if(Auth::check())
							<a type="button" class="login-btn online-user" href="{{ url('account/dashboard') }}">
							    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M12 2c2.757 0 5 2.243 5 5.001 0 2.756-2.243 5-5 5s-5-2.244-5-5c0-2.758 2.243-5.001 5-5.001zm0-2c-3.866 0-7 3.134-7 7.001 0 3.865 3.134 7 7 7s7-3.135 7-7c0-3.867-3.134-7.001-7-7.001zm6.369 13.353c-.497.498-1.057.931-1.658 1.302 2.872 1.874 4.378 5.083 4.972 7.346h-19.387c.572-2.29 2.058-5.503 4.973-7.358-.603-.374-1.162-.811-1.658-1.312-4.258 3.072-5.611 8.506-5.611 10.669h24c0-2.142-1.44-7.557-5.631-10.647z"/></svg>
							</a>
						@else
							<a type="button" data-bs-toggle="modal" data-bs-target="#login-modal" class="login-btn">
							    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M12 2c2.757 0 5 2.243 5 5.001 0 2.756-2.243 5-5 5s-5-2.244-5-5c0-2.758 2.243-5.001 5-5.001zm0-2c-3.866 0-7 3.134-7 7.001 0 3.865 3.134 7 7 7s7-3.135 7-7c0-3.867-3.134-7.001-7-7.001zm6.369 13.353c-.497.498-1.057.931-1.658 1.302 2.872 1.874 4.378 5.083 4.972 7.346h-19.387c.572-2.29 2.058-5.503 4.973-7.358-.603-.374-1.162-.811-1.658-1.312-4.258 3.072-5.611 8.506-5.611 10.669h24c0-2.142-1.44-7.557-5.631-10.647z"/></svg>
							</a>
						@endif
                     </div>
                     <!--End Search-->
                     <div class="header-cart header-links">
                        <a href="#" class="site-header__cart btn-minicart" data-bs-toggle="modal" data-bs-target="#minicart-drawer">
                           <svg xmlns="http://www.w3.org/2000/svg" width="29px" height="29px" viewBox="0 0 24 24"><path d="M24 3l-.743 2h-1.929l-3.474 12h-13.239l-4.615-11h16.812l-.564 2h-13.24l2.937 7h10.428l3.432-12h4.195zm-15.5 15c-.828 0-1.5.672-1.5 1.5 0 .829.672 1.5 1.5 1.5s1.5-.671 1.5-1.5c0-.828-.672-1.5-1.5-1.5zm6.9-7-1.9 7c-.828 0-1.5.671-1.5 1.5s.672 1.5 1.5 1.5 1.5-.671 1.5-1.5c0-.828-.672-1.5-1.5-1.5z"/></svg>
                           <spanid="cartTotalPrice"> </span>
                           <!-- <span class="site-cart-count counter d-flex-center justify-content-center position-absolute translate-middle rounded-circle">2</span> -->
                        </a>
                     </div>
                  <!--<div class="wishlist-link header-links" > 
                        <a  @if(Auth::check()) href="{{ url('account/wishlists')}}" @else href="javascript:;" data-bs-toggle="modal" data-bs-target="#login-modal" class="login-btn" @endif>
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="26px" height="26px">    <path d="M16.5,3C13.605,3,12,5.09,12,5.09S10.395,3,7.5,3C4.462,3,2,5.462,2,8.5c0,4.171,4.912,8.213,6.281,9.49 C9.858,19.46,12,21.35,12,21.35s2.142-1.89,3.719-3.36C17.088,16.713,22,12.671,22,8.5C22,5.462,19.538,3,16.5,3z M14.811,16.11 c-0.177,0.16-0.331,0.299-0.456,0.416c-0.751,0.7-1.639,1.503-2.355,2.145c-0.716-0.642-1.605-1.446-2.355-2.145 c-0.126-0.117-0.28-0.257-0.456-0.416C7.769,14.827,4,11.419,4,8.5C4,6.57,5.57,5,7.5,5c1.827,0,2.886,1.275,2.914,1.308L12,8 l1.586-1.692C13.596,6.295,14.673,5,16.5,5C18.43,5,20,6.57,20,8.5C20,11.419,16.231,14.827,14.811,16.11z"/></svg>
							<span class="wishlist-count counter d-flex-center justify-content-center position-absolute translate-middle rounded-circle">{{ $wishlist_count }}</span>
						</a>
                    </div>-->

                     <!--End Minicart Drawer-->
                  </div>
                  <!--End Right Action-->
               </div>
            </div>
            <!--Search Popup-->
            <div id="search-popup" class="search-drawer">
               <div class="container">
                  <span class="closeSearch an an-times-l"></span>
                  <form class="form minisearch"  id="header-search" action="{{ url('results') }}" method="get">
                     <label class="label"><span>Search</span></label>
                     <div class="control">
                        <div class="searchField">
                           <div class="input-box">
                              <button type="submit" title="Search" class="action search" ><i class="icon an an-search-l"></i></button>
                              <input type="text" name="q" value="" placeholder="Search by keyword or #"  class="input-text" >
                           </div>
                        </div>
                     </div>
                  </form>
               </div>
            </div>
            <!--End Search Popup-->
         </header>
         <!--End Header-->
         <!--Mobile Menu-->
         <div class="mobile-nav-wrapper" role="navigation">
            <div class="closemobileMenu"><i class="icon an an-times-l pull-right"></i> Close Menu</div>
            <ul id="MobileNav" class="mobile-nav">
                 @if(!empty($about_us))
               <li class="lvl1"><a href="{{ url('about-us') }} ">About Us</a>
               </li>
               @endif
			    <li class="lvl1"><a href="{{ url('new-arrivals') }}">New Arrivals</a></li>
              
			@foreach($categories as $category)
               <li class="lvl1 parent megamenu">
                  <a href="{{ url($category['seo_unique']) }}">{{ $category['name'] }} <i class="an an-plus-l"></i></a>
                  <ul>
				  <?php $subcategories  = Category::getsubcategories($category['id']); ?>
                     @if(count($subcategories) > 0)
					 @foreach($subcategories as $subcategory) 
				     <li>
                        <a href="{{ url($subcategory['seo_unique']) }}">{{ $subcategory['name'] }} <i class="an an-plus-l"></i></a>
                        <?php $subcategories2  = Category::getsubcategories($subcategory['id']); ?>
						@if(count($subcategories2) > 0)
						@foreach($subcategories2 as $subcategory2) 	
						<ul>
                           <li><a href="{{ url($subcategory2['seo_unique']) }}" class="site-nav">{{ $subcategory2['name'] }}</a></li>
                        </ul>
						@endforeach
						@endif
                     </li>
					 @endforeach
					@endif
                  </ul>
               </li>
              @endforeach
               <li class="lvl1 bottom-link"><a href="{{ url('contact-us') }}">Contact</a></li>
             
            </ul>
         </div>
         <!--End Mobile Menu-->
		 
		 
	<div class="minicart-right-drawer modal right fade" id="minicart-drawer">
	   <div class="modal-dialog">
		  <div class="modal-content" id="cart-popup-content">
			 @include('front.cart.cart-popup')
		  </div>
	   </div>
	</div>
	<!--End MiniCart Drawer-->
	<div class="modalOverly"></div>
	<!--Quickview Popup-->
	<div class="loadingBox">
	   <div class="an-spin"><i class="icon an an-spinner4"></i></div>
	</div>
	