<?php
use App\PageContentAboutus; 
use App\Category;
use App\CmsPage;
$about_us = PageContentAboutus::where(['id' => '1', 'status' => '1'])->count();
$cmsArray = CmsPage::where('status', 1)->get()->toArray();
?>

<!--Footer-->
<div class="footer footer-2">
    <div class="footer-top clearfix">
        <div class="container">
            <!--<div class="row">
               <div class="col-12 col-sm-12  copyright-col text-center">
                  <p class="address text-center">
                     <i class="an an-map-marker-alt"></i> CIVIL LINES. LUDHIANA, PUNJAB
                  </p>
                  <hr/>
               </div>
            </div>-->
            <div class="row pt-5 pb-5">
                <div class="col-12 col-sm-12 col-md-4 col-lg-3 footer-links text-uppercase">
                    <h4 class="h4">Our Products</h4>
                    <ul>
                        @foreach($categories as $category)
                            <?php $subcategories = Category::getsubcategories($category['id']); ?>
                            @if(count($subcategories) > 0)
                                @foreach($subcategories as $subcategory)
                                    <li><a href="{{ $subcategory['seo_unique'] }}">{{ $subcategory['name'] }}</a></li>
                                @endforeach
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="col-12 col-sm-12 col-md-6 col-lg-3 footer-links text-uppercase">
                    <h4 class="h4">Quick Links</h4>
                    <ul>
                        <li><a href="{{ url('/') }}">Home</a></li>
                        @if(!empty($about_us))
                            <li><a href="{{ url('about-us') }}">About us</a></li>
                        @endif
                        
                        @if(!Auth::check())
                            <li><a href="javascript:;" data-bs-toggle="modal" data-bs-target="#login-modal" class="login-btn">New Arrival</a></li>
                        @endif
                      <li class="lvl1"><a href="{{ url('blogs') }}">Blogs</a></li>
                     
                      <li><a href="{{ url('contact-us') }}">Contact</a></li>
                        @if(!Auth::check())
                            <li><a href="javascript:;" data-bs-toggle="modal" data-bs-target="#login-modal" class="login-btn">Signup</a></li>
                        @endif
                        
                        <li class="lvl1 bottom-link"><a href="{{ url('faq') }}">FAQ</a></li>
                    </ul>
                </div>
                <!--  <div class="col-12 col-sm-12 col-md-6 col-lg-3 footer-links text-uppercase">        
                    <h4 class="h4">About Us</h4>
                    <ul>
                        @foreach($cmsArray as $cmsArrayValue)
                            <li><a href="{{$cmsArrayValue['slug']}}">{{$cmsArrayValue['title']}}</a></li>
                        @endforeach
                    </ul>
                </div>-->
                <div class="col-12 col-sm-12 mt-0 col-md-12 col-lg-3 footer-about my-2 mb-lg-0">
                    <h4 class="h4">Contact Details</h4>
                    <p><i class="fas fa-map-marker-alt"></i> <strong>Address:</strong> 12/394 Uzhaipalar Salai,<br> Coimbatore - 641029</p>
                    <p><a href="tel:+919487835123"><i class="fas fa-phone"></i> <strong>Call Us:</strong>+91 94878 35123, +91 9047290742</a></p>
                    <p><a href="mailto:sales02.a2agro@gmail.com"><i class="fas fa-envelope"></i> <strong>Email Us:</strong> easauto1993@gmail.com</a></p>
                </div>
                <div class="col-12 col-sm-12 mt-0 col-md-12 col-lg-3 footer-links newsletter-col ">
                <label class="h4">Subscribe Now</label>
                <div class="display-table pe-lg-3">
                    <div class="display-table-cell footer-newsletter">
                        <form action="javascript:;" method="post" id="newsletter-form">@csrf
                            <p>Enter your email to receive daily offers.</p>
                            <div class="input-group">
                                <input type="text" class="border-0 rounded-0 input-group__field newsletter-input newsletter-email" name="email" value="" placeholder="Email address">
                                <span class="input-group__btn">
                                <button type="submit" class="btn newsletter__submit rounded-0 bg-theme-secondary" name="Subscribe" onclick="newsletter()">Subscribe</button>
                                </span>
                            </div>
                            <p class="newsletter-msg"></p>
                        </form>
                    </div>
                </div>
            </div>
            </div>

            <div class="row">
                <div class="col-12   copyright-col mt-2  text-center mb-0">
                    <hr/>
                    <div class="copytext">&copy; 2023 easauto. All Rights Reserved.</div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="whatsapp-icon">
    <a href="https://wa.me/+919843322247" rel="nofollow" target="_blank">
        <img src="{{ asset('assets/images/whatsapp.png') }}" class="img-fluid"> 
    </a>
</div>
<!--End Footer-->
<!--Scoll Top-->
<span id="site-scroll"><i class="icon an an-arw-up"></i></span> 
<!--End Scoll Top-->
